Update Event
Update Event
PATCH
/
funnels
/
event
/
{id}
Update Event
curl --request PATCH \
--url https://services.leadconnectorhq.com/funnels/event/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"level": "pages",
"type": "funnel",
"conversionEnabled": "true",
"pageIds": [
"123456789"
],
"pixelId": "123456789",
"events": [
"page_view",
"order_form"
],
"accessToken": "123456789"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
level: 'pages',
type: 'funnel',
conversionEnabled: 'true',
pageIds: ['123456789'],
pixelId: '123456789',
events: ['page_view', 'order_form'],
accessToken: '123456789'
})
};
fetch('https://services.leadconnectorhq.com/funnels/event/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/event/{id}"
payload = {
"level": "pages",
"type": "funnel",
"conversionEnabled": "true",
"pageIds": ["123456789"],
"pixelId": "123456789",
"events": ["page_view", "order_form"],
"accessToken": "123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Authorizations
Body
application/json
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Update Event
curl --request PATCH \
--url https://services.leadconnectorhq.com/funnels/event/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"level": "pages",
"type": "funnel",
"conversionEnabled": "true",
"pageIds": [
"123456789"
],
"pixelId": "123456789",
"events": [
"page_view",
"order_form"
],
"accessToken": "123456789"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
level: 'pages',
type: 'funnel',
conversionEnabled: 'true',
pageIds: ['123456789'],
pixelId: '123456789',
events: ['page_view', 'order_form'],
accessToken: '123456789'
})
};
fetch('https://services.leadconnectorhq.com/funnels/event/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/event/{id}"
payload = {
"level": "pages",
"type": "funnel",
"conversionEnabled": "true",
"pageIds": ["123456789"],
"pixelId": "123456789",
"events": ["page_view", "order_form"],
"accessToken": "123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)